import { preloaderFinished } from '@delon/theme';
/*
 * @Author: your name
 * @Date: 2021-12-14 14:03:07
 * @LastEditTime: 2021-12-15 15:52:36
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \tms-obc-web\src\app\routes\order-management\modal\bulk\update-freight\update-freight.component.ts
 */
import { Component, OnInit, ViewChild } from '@angular/core';
import {
  SFComponent,
  SFCustomWidgetSchema,
  SFNumberWidgetSchema,
  SFRadioWidgetSchema,
  SFSchema,
  SFSelectWidgetSchema,
  SFTextareaWidgetSchema,
  SFUISchema
} from '@delon/form';
import { _HttpClient } from '@delon/theme';
import { NzMessageService } from 'ng-zorro-antd/message';
import { NzModalRef } from 'ng-zorro-antd/modal';

@Component({
  selector: 'app-order-management-vehicle-update-freight',
  templateUrl: './update-freight.component.html',
  styleUrls: ['./update-freight.component.less']
})
export class VehicleUpdateFreightComponent implements OnInit {
  record: any = {};
  i: any;
  @ViewChild('sf', { static: false }) sf!: SFComponent;
  schema: SFSchema = {};
  ui: SFUISchema = {};
  data: any = {};
  constructor(private modal: NzModalRef, private msgSrv: NzMessageService, public http: _HttpClient) {}

  ngOnInit(): void {
    this.initSF();

    if (this.record.id > 0) this.http.get(`/user/${this.record.id}`).subscribe(res => (this.i = res));
  }
  // 运输费
  get transportation () {
    console.log(this.sf?.value)
    const value = Number(this.sf?.value?.number || 0) + Number(this.sf?.value?.number2 || 0) + Number(this.sf?.value?.number3 || 0)
    console.log( value )
    return value || 0
  }
  // 总运费
  get gross () {
    const value = Number(this.transportation || 0) + Number(this.transportation || 0)
    console.log( value )
    return value || 0
  }
  // 附加费
  get additional () {
    return 100
  }
  initSF() {
    this.schema= {
      properties: {
        number: { type: 'number',title: '预付' ,minimum: 1, maximum: 999999999, multipleOf: 1, ui: { widgetWidth: 200 } },
        number2: { type: 'number',title: '到付' ,minimum: 1, maximum: 999999999, multipleOf: 1, ui: { widgetWidth: 200 } },
        number3: { type: 'number',title: '回单付' ,minimum: 1, maximum: 999999999, multipleOf: 1, ui: { widgetWidth: 200 } },
        name3: {
          type: 'string',
          title: '变更原因',
          maxLength: 100,
          ui: {
            widgetWidth: 300,
            placeholder:"选填，最多不超过100字",
            widget: 'textarea',
            autosize: { minRows: 3, maxRows: 6 }
          } as SFTextareaWidgetSchema
        },
      },
      required: ['name3'],
      type: 'object',
    };
    this.ui = { '*': { spanLabelFixed: 100, grid: { span: 16,gutter:8 } }
    };
  }
  save(value: any): void {
    console.log(this.sf.value)
    console.log(value)
    console.log(this.data)
    this.http.post(`/user/${this.record.id}`, value).subscribe(res => {
      this.msgSrv.success('保存成功');
      this.modal.close(true);
    });
  }

  close(): void {
    this.modal.destroy();
  }
  /**
   * 更新数字框
   * @param value
   * @param type
   */
  changeNumVal(value: any, type: number) {}
}
